| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxOverlay Class Reference

`#include <wx/overlay.h>`

## Detailed Description

Creates an overlay over an existing window, allowing for manipulations like rubberbanding, etc.

On wxOSX the overlay is implemented with native platform APIs, on the other platforms it is simulated using wxMemoryDC.

##

Library: wxCore

See Also
  wxDCOverlay, wxDC

## Public Member Functions

| wxOverlay ()
| ~wxOverlay ()
void | Reset ()
| Clears the overlay without restoring the former state.

## Constructor & Destructor Documentation

wxOverlay::wxOverlay | ( |  | ) |

wxOverlay::~wxOverlay | ( |  | ) |

## Member Function Documentation

void wxOverlay::Reset | ( |  | ) |

Clears the overlay without restoring the former state.

To be done, for example, when the window content has been changed and repainted.